package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFirstplanTmplMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFirstplanTmpl;
import com.ruoyi.project.training.bccnew.service.ITTsFirstplanTmplService;

/**
 * 进组培训模版Service业务层处理
 *
 * @author ssy
 * @date 2024-05-22
 */
@Service
public class TTsFirstplanTmplServiceImpl implements ITTsFirstplanTmplService
{
    @Autowired
    private TTsFirstplanTmplMapper tTsFirstplanTmplMapper;

    /**
     * 查询进组培训模版
     *
     * @param id 进组培训模版ID
     * @return 进组培训模版
     */
    @Override
    public TTsFirstplanTmpl selectTTsFirstplanTmplById(Long id)
    {
        return tTsFirstplanTmplMapper.selectTTsFirstplanTmplById(id);
    }

    /**
     * 查询进组培训模版列表
     *
     * @param tTsFirstplanTmpl 进组培训模版
     * @return 进组培训模版
     */
    @Override
    public List<TTsFirstplanTmpl> selectTTsFirstplanTmplList(TTsFirstplanTmpl tTsFirstplanTmpl)
    {
        return tTsFirstplanTmplMapper.selectTTsFirstplanTmplList(tTsFirstplanTmpl);
    }

    /**
     * 新增进组培训模版
     *
     * @param tTsFirstplanTmpl 进组培训模版
     * @return 结果
     */
    @Override
    public int insertTTsFirstplanTmpl(TTsFirstplanTmpl tTsFirstplanTmpl)
    {
        return tTsFirstplanTmplMapper.insertTTsFirstplanTmpl(tTsFirstplanTmpl);
    }

    /**
     * 修改进组培训模版
     *
     * @param tTsFirstplanTmpl 进组培训模版
     * @return 结果
     */
    @Override
    public int updateTTsFirstplanTmpl(TTsFirstplanTmpl tTsFirstplanTmpl)
    {
        return tTsFirstplanTmplMapper.updateTTsFirstplanTmpl(tTsFirstplanTmpl);
    }

    /**
     * 批量删除进组培训模版
     *
     * @param ids 需要删除的进组培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsFirstplanTmplByIds(Long[] ids)
    {
        return tTsFirstplanTmplMapper.deleteTTsFirstplanTmplByIds(ids);
    }

    /**
     * 删除进组培训模版信息
     *
     * @param id 进组培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTsFirstplanTmplById(Long id)
    {
        return tTsFirstplanTmplMapper.deleteTTsFirstplanTmplById(id);
    }
}
